Subject: [bug#38408] [PATCH v16 3/6] import: crate: Use guile-semver to resolve module versions.

From: Martin Becze <[email-masked]>
Date: Tue, 17 Nov 2020 15:51:36 -0600

Hartmut, I just saw you v17 I think that is probably better then what I 
have attached.

On 11/17/20 3:43 PM, Martin Becze wrote:
> 
> 
> On 11/10/20 4:13 PM, Hartmut Goebel wrote:
>> Please add a brief change description for crate-recursive-import.
> 
> Done
> 
>>
> 
>> I could not spot this change. has this been reverted in one of the many
> 
>> version of this series?
> 
> 
> I added a better description in the attached commit.
> 
>> Does this still fetch the latest version? Or is it the latest version
> 
>> matching a semver range, or the latest non-beta version?
> 
> 
> The latest version including beta versions
> 
>> Is this change in the last line intended? Another patch of this series
> 
>> reverts this change.
> 
> No, nice catch. Changing this creates conflicts so I will update the 
> patch set.
> 
>> Does this still fetch the latest version? Or is it the latest version
> 
>> matching a semver range, or the latest non-beta version?
> 
> 
> I will add more advance tests in a separate commit at the end.
> 
> Attached is the updated patch set. I believe it address everything 
> brought up but please let me know if there is anything else. Thanks a 
> lot for looking at this.